# TRX eCPRI Driver Testing

```
PRIVATE="Path to directory containing proprietary code (BF1 enconding)"
GIT="Path of this git"
ENB_INSTALL="Folder where lteenb is installed"
ENV="env file corresponding to current server"

cd eNB-simulator
git clone https://lab.nexedi.com/nexedi/trx-ecpri.git
cd trx-ecpri
ln -sf $PRIVATE private

# Use trx-ecpri with Amarisoft
make
ln -sf $(realpath libtrx_ecpri_dpdk.so) $ENB_INSTALL/trx_ecpri.so
cd $GIT/enb-configs
source $GIT/cli/env/$ENV
python3 render-confs.py rec rec_nic rec_if re re_nic re_if > enb.cfg
$ENB_INSTALL/lteenb enb.cfg

# Use trx-ecpri with eNB simulator
cd $GIT/eNB-simulator
make
./eNB-simulator
```
